Page MenuHomePhabricator

[AST][Mach0] Fix unused-variable warnings
ClosedPublic

Authored by ehjogab on Nov 16 2020, 12:57 AM.

Details

Summary

Change-Id: Id37948be57aad3551eb14fc16b2aea2441a45e7d

Diff Detail

Event Timeline

ehjogab created this revision.Nov 16 2020, 12:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 16 2020, 12:57 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
ehjogab requested review of this revision.Nov 16 2020, 12:57 AM
arsenm added inline comments.Nov 16 2020, 6:40 AM
lld/MachO/SymbolTable.cpp
137

Should use isa

ehjogab updated this revision to Diff 305984.Nov 17 2020, 11:21 PM

Replace dyn_cast with isa

ehjogab marked an inline comment as done.Nov 17 2020, 11:22 PM
arsenm accepted this revision.Nov 18 2020, 6:59 AM
This revision is now accepted and ready to land.Nov 18 2020, 6:59 AM
This revision was landed with ongoing or failed builds.Nov 19 2020, 1:52 AM
Closed by commit rG2d1f471e45af: [Mach0] Fix unused-variable warnings (authored by ehjogab, committed by dstenb). · Explain Why
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 19 2020, 1:52 AM